libzypp: zypp::RepoManagerOptions Struct Reference

libzypp 17.38.6

zypp::RepoManagerOptions Struct Reference

Repo manager settings. More...

`#include <zypp/RepoManagerOptions.h>`

## Public Member Functions
| RepoManagerOptions (const Pathname &root_r=Pathname())
| Default ctor following ZConfig global settings.

## Static Public Member Functions
static RepoManagerOptions | makeTestSetup (const Pathname &root_r)
| Test setup adjusting all paths to be located below one `root_r` directory.

## Public Attributes
Pathname | repoCachePath
Pathname | repoRawCachePath
Pathname | repoSolvCachePath
Pathname | repoPackagesCachePath
Pathname | knownReposPath
Pathname | knownServicesPath
Pathname | pluginsPath
bool | probe
std::string | servicesTargetDistro
| Target distro ID to be used when refreshing repo index services.
Pathname | rootDir
| remembers root_r value for later use

## Detailed Description

Repo manager settings.

Settings default to ZYpp global settings.

Definition at line 25 of file RepoManagerOptions.h.

## Constructor & Destructor Documentation

## ◆ RepoManagerOptions()

zypp::RepoManagerOptions::RepoManagerOptions | ( | const Pathname & | root_r = Pathname() | ) |

Default ctor following ZConfig global settings.

If an optional `root_r` directory is given, all paths will be prefixed accordingly.

root_r\repoCachePath
\repoRawCachePath
\repoSolvCachePath
\repoPackagesCachePath
\knownReposPath

Definition at line 24 of file RepoManagerOptions.cc.

## Member Function Documentation

## ◆ makeTestSetup()

RepoManagerOptions zypp::RepoManagerOptions::makeTestSetup | ( | const Pathname & | root_r | ) |
| static

Test setup adjusting all paths to be located below one `root_r` directory.

root_r\ - repoCachePath
\raw - repoRawCachePath
\solv - repoSolvCachePath
\packages - repoPackagesCachePath
\repos.d - knownReposPath
zypp::RepoManagerOptions::knownReposPath
Pathname knownReposPath
Definition RepoManagerOptions.h:55

Definition at line 38 of file RepoManagerOptions.cc.

## Member Data Documentation

## ◆ repoCachePath

Pathname zypp::RepoManagerOptions::repoCachePath

Definition at line 51 of file RepoManagerOptions.h.

## ◆ repoRawCachePath

Pathname zypp::RepoManagerOptions::repoRawCachePath

Definition at line 52 of file RepoManagerOptions.h.

## ◆ repoSolvCachePath

Pathname zypp::RepoManagerOptions::repoSolvCachePath

Definition at line 53 of file RepoManagerOptions.h.

## ◆ repoPackagesCachePath

Pathname zypp::RepoManagerOptions::repoPackagesCachePath

Definition at line 54 of file RepoManagerOptions.h.

## ◆ knownReposPath

Pathname zypp::RepoManagerOptions::knownReposPath

Definition at line 55 of file RepoManagerOptions.h.

## ◆ knownServicesPath

Pathname zypp::RepoManagerOptions::knownServicesPath

Definition at line 56 of file RepoManagerOptions.h.

## ◆ pluginsPath

Pathname zypp::RepoManagerOptions::pluginsPath

Definition at line 57 of file RepoManagerOptions.h.

## ◆ probe

bool zypp::RepoManagerOptions::probe

Definition at line 58 of file RepoManagerOptions.h.

## ◆ servicesTargetDistro

std::string zypp::RepoManagerOptions::servicesTargetDistro

Target distro ID to be used when refreshing repo index services.

Repositories not maching this ID will be skipped/removed.

If empty, Target::targetDistribution() will be used instead.

Definition at line 65 of file RepoManagerOptions.h.

## ◆ rootDir

Pathname zypp::RepoManagerOptions::rootDir

remembers root_r value for later use

Definition at line 68 of file RepoManagerOptions.h.

The documentation for this struct was generated from the following files:

- zypp/RepoManagerOptions.h
- zypp/RepoManagerOptions.cc